com.trendmicro.ds.appcontrol.rest.object

## Enum Rule.Action

- java.lang.Object
- - java.lang.Enum<Rule.Action>
  - - com.trendmicro.ds.appcontrol.rest.object.Rule.Action

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Rule.Action>
  Enclosing class:
    Rule

      public static enum Rule.Action
      extends java.lang.Enum<Rule.Action>

  The actions that can be taken when an application named in a rule is launched.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOW` Allow the application to launch.
    `BLOCK` Block the application from launching.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Rule.Action` | `fromValue(java.lang.String value)`
    `java.lang.String` | `getValue()`
    `static Rule.Action` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Rule.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALLOW

          public static final Rule.Action ALLOW

      Allow the application to launch.

    - #### BLOCK

          public static final Rule.Action BLOCK

      Block the application from launching.

      IMPORTANT: The actual behavior of application control is controlled by policy. To block applications from being launched, application control must be enabled.

  - ### Method Detail

    - #### values

          public static Rule.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Rule.Action c : Rule.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Rule.Action valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

    - #### fromValue

          public static Rule.Action fromValue(java.lang.String value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.